Package org.apache.sysds.runtime.compress.colgroup.scheme

## Class EmptyScheme

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
  - - org.apache.sysds.runtime.compress.colgroup.scheme.EmptyScheme

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

    public class EmptyScheme
    extends ACLAScheme

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

### Constructor Summary

Constructors
`EmptyScheme​(IColIndex idx)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`EmptyScheme` `clone()`
`static EmptyScheme` `create​(ColGroupEmpty g)`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EmptyScheme

    public EmptyScheme​(IColIndex idx)

### Method Detail

#### create

    public static EmptyScheme create​(ColGroupEmpty g)

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`

#### clone

    public EmptyScheme clone()

Specified by:
  `clone` in interface `ICLAScheme`
Specified by:
  `clone` in class `ACLAScheme`